<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="unitDocumentMessages"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" 
        [totalRecords]="totalItems" 
        [responsive]="true" 
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idMessage" 
        (onLazyLoad)="loadDataLazy($event)" 
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['unit-document-message-popup-new-list', null] } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitDocumentMessage.idRequirement'|translate}}" field="idRequirement" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.unitDocumentMessage.idProspect'|translate}}" field="idProspect" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.unitDocumentMessage.content'|translate}}" field="content" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.unitDocumentMessage.dateCreated'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateCreated | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <p-calendar [(ngModel)]="rowData.dateCreated"
                      dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"></p-calendar>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitDocumentMessage.usernameFrom'|translate}}" field="usernameFrom" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.unitDocumentMessage.usernameTo'|translate}}" field="usernameTo" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.unitDocumentMessage.unitDocumentMessage'|translate}}" *ngIf="idMessage === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.unitDocumentMessageId">
                    <a [routerLink]="['../unit-document-message', rowData.unitDocumentMessageId  ]" >{{rowData.unitDocumentMessageId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'unit-document-message/'+ rowData.idMessage + '/edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idMessage)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
